module;
#include <print>
#include <string>

export module Testcase;

// Klasse fuer die Testfaelle
export class Testcase
{
    std::string description;    // Testfall Beschreibung
    unsigned short tc_number;   // Testfall Nummer
    // Fortlaufende Testfallnummerierung
    inline static unsigned short number{ 1 };
public:
    // ctor
    Testcase(const std::string& _desc) :
        description(_desc)
    {
        tc_number = number++;
    }
    // Ausgabe des Testfalls
    void PrintTC() const
    {
        std::println("Testfall {}: {}", tc_number, description);
    }
};